<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class Solicitud extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */

   
      public function up()
      {
          Schema::create('Solicitud', function (Blueprint $table) {
              $table->bigincrements('id');
              $table->unsignedBigInteger('IdEstudiante');
              $table->foreign('IdEstudiante')->references('IdEstudiante')->on('estudiantes')->onUpdate('restrict')->onDelete('restrict');
              $table->datetime('Fecha');
              $table->integer('Codigo');
              $table->timestamps();
  
          });
      }
  
      /**
       * Reverse the migrations.
       *
       * @return void
       */
      public function down()
      {
          Schema::dropIfExists('Solicitud');
      }
}
